## org.apache.poi.xslf.model.geom
Class CustomGeometry

    java.lang.Object
      org.apache.poi.xslf.model.geom.CustomGeometry

All Implemented Interfaces:
  java.lang.Iterable<Path>

    public class CustomGeometry

extends java.lang.Object
implements java.lang.Iterable<Path>

Definition of a custom geometric shape

Author:
  Yegor Kozlov

Constructor Summary
`CustomGeometry(org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D geom)`

Method Summary
`Path` `getTextBounds()`
`java.util.Iterator<Path>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomGeometry

    public CustomGeometry(org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D geom)

Method Detail

### iterator

    public java.util.Iterator<Path> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Path>`

### getTextBounds

    public Path getTextBounds()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.